<?php

	session_start(); 
	include_once("ara-authorize.php");

	$ulogin= $_SESSION["login"];
	$upass= $_SESSION["password"];
	//echo "session " . $ulogin ." " . $upass ."\n";
	$registered= authorize($ulogin, $upass); 

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" dir="ltr" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="robots" content="noindex, follow, archive">
<link type="text/css" href="ara.css" rel="stylesheet">

<title>ARA (Atom and RSS API) Editor</title>

</head>


	
<body>

<script src="anaa.js" type="text/javascript"></script>
<script src="ara.js" type="text/javascript"></script>
<script language="JavaScript">

window.onload = function()
{
	ara = document; 
	var element = document.getElementById("list");
	element.innerHTML = "";
	itemIndex = 0;
	clearEditor();
	processData(document.feed);

//alert(document.editor);
//alert(document.rss);
//alert(document.rss.loadrss);



<?php

if($registered)
{
	echo '
	document.rss.loadrss.disabled = false;
	document.rss.makerss.disabled = false;';
}
else
{
	echo '
	document.rss.loadrss.disabled = true;
	document.rss.makerss.disabled = true;';
}

$currentpath = getcwd();
$scripturl = $_ENV[SCRIPT_URL];

?>

}


</script>



<div id="storage" style="display:none;">body tag
</div>


<div id="content" >

  <h1  title="Building an RSS feed from a list of pages. Titles and descriptions are taken from the head section or the content of the pages.">ARA - RSS Feed Builder and Editor</h1>
  <p id="copyr">By <a href="http://www.scriptol.com/rss/" target="_parent">Scriptol.com</a> 
    - Version 3.0</p>
  <br><?php
function checkLog()
{
	echo "
 <form method='post' id='auth' name='auth' action=''>
 <span>Login:</span>
 <input type='text' id='login' name='login'  maxlength='24' value='$ulogin'>
 <span class='option'>Password:</span>
 <input type='password' id='password' name='password'  maxlength='12' value='$upass'>
 <input type='button' name='checkuser' value='Check User' onclick='checking(document.auth);'>
 </form>
";

}

if($registered)
{
	echo "<div class='border'>Registered user: $ulogin</div>";
}	
else
{ 
	checkLog(); 
}


?>


<br>



<div id="generator">

<FORM name="rss" method="POST" >

<div class="section">RSS File</div>
<div class="border"> 
	<span class="leftoption">URL of the RSS file to create </span>
	<input type="text" name="url" size="32"  value="/rss.xml" title="Web address of a feed">
        <input type="button" name="loadrss" value="Reload" onClick='loadFeed(<?php echo "\"$currentpath\",\"$scripturl\"";?>);' title="Load an RSS file on the same website">
<!--
      <input type="submit" name="import" value="Import" title="Get from another website">
-->
</div>

<div class="section">Options</div>
<div class="border">
	<span class="leftoption">Number of items </span>
	<select id="sizelist" name="sizelist" onchange="selecting(this.value);" title="Number of articles, usually less than 15">
        <option>5</option>
        <option selected>10</option>
        <option>15</option>
        <option>20</option>
        <option>25</option>
        <option>more</option>
      </select>
      <input type="text" name="size" maxlength="3" size="1" value="10" title="Type directly a number">
      <span class="option">Add description </span> 
      <input type="checkbox" name="descopt" value="" checked title="Give descriptions in the feed">
      <span class="option"> Add date </span> 
      <input type="checkbox" name="dateopt" value="" title="Give last published dates" checked>
	   	<span class="option"> Last at top </span> 
      <input type="checkbox" name="descending" value="" title="Add new articles at top" checked>
</div>

<div class="section">Channel</div>

<div class="border"><span class="leftoption">URL of the channel website </span>
	<input type="text" name="channel" size="48" title="Website that provides these articles">
	<input type="button" name="chanedit" value="Edit" onClick="channelEdit();" title="Change link and other data">
    <input type="button" name="channelshow" value="Show" onClick="channelShow();" title="Display the title below">
    <input type="button" name="channelhide" value="Hide" onClick="channelHide();" title="Display the title below">	
      </div>

<div id="channelviewer" name="channelviewer"> </div>

<div class="section">Items</div>

<div class="border"> 
	<b>List of items</b>
	<div id="list">
	</div>
	<br />

	<span class="leftoption"> URL of a page to add </span>
        
        <input type="text" id="page" name="page" size="48" title="A Web page">
        <input type="button" name="submit" value="Add item" onclick="addItem();" title="Add the page to the list above">
        <input type="button"  value="Clear" onclick="clearItem(ara.rss.page);">
      </div>
      <p> <span class="leftoption">Local path</span>
        <input type="text" name="savepath" value='' size="48">
        <input type="button" name="converting" value="Convert" onClick='convertpath(<?php echo "\"$currentpath\",\"$scripturl\"";?>);' title="Convert relative Web path to server full path">
      </p>
	
      <p> 
        <input type="button" id="makerss" value="Create RSS feed" onclick='createRSS(<?php echo "\"$currentpath\""; ?>)' title="Build an RSS 2.0 feed and replace it at the URL at top">
        <input type="button" id="see" name="see" value="See RSS feed" onclick='seeRSS()' title="See the resulting RSS feed">
      </p>
      <!--
      <input type="button" name="buttonstore" value="Store Here" title="Build an RSS 2.0 feed and store it on the hard drive">
      <input type="file" name="fieldstore" maxlength="80" value="rss.xml" title="Local address">
--> 
    </FORM>


<form name="editor" method="post" action="">
<span class="section" style="font-size:120%";>Viewer/Editor </span> 
<div class="border">
	<div class="pad">
		<span class="leftoption">Title</span>
		<input type="text" name="etitle" size="80" title="Title of the article or channel">
	</div>
    
	<span class="leftoption">Date</span> 
        <input type="text" name="edate" size="32" title="Date of the article or the feed for the channel">
        <input type="button" name="todaybutton" value="Today" onClick="setDateToday(document.editor.edate);">
	<br>
        <span class="leftoption">Link</span> 
        <input type="text" name="elink" enctype="multipart/form-data" size="54" title="Web address">
	<br>
	<span class="leftoption">Description</span><br>
	<textarea name="edescription" rows="4" cols="80" title="Type a summary here"></textarea>
</div>
<br />
	<input type="button" name="submit3" value="Replace" onclick="replaceItem();" title="Replace the item or the channel or add it if created from scratch">
	<input type="button" name="submit4" value="Delete Item" onclick="deleteItem();" title="Remove this entry in the list">
	<input type="button" name="submit5" value="Clear fields" onclick="clearall();" title="Clear all fields in the edit form">
</form>

</div>

  <div id="footer"> 
    <div align="center">Written by Denis Sureau - Scriptol.com - Licence GNU GPL 
      2.0 </div>
  </div>

</div>

</body>
</html>
