<?php

/**
	Ara remote script
	(c) 2007 Denis Sureau - www.scriptol.com
	Extracts the content of a feed (any format).
*/

$CommonContent =  array();

function processItem($element, $i)
{
	global $CommonContent;

	$storage = array();
	
	$storage["titl$i"] = $element->getElementsByTagName("title")->item(0)->firstChild->data;
	$storage["link$i"] = $element->getElementsByTagName("link")->item(0)->firstChild->data;
	$storage["desc$i"] = $element->getElementsByTagName("description")->item(0)->firstChild->data;
	$storage["date$i"] = $element->getElementsByTagName("date")->item(0)->firstChild->data;	
	$storage["type$i"] = 1;

	array_push($CommonContent, $storage);

}

function processFeed($content, $element)
{

	global $CommonContent;

	$y = array();

	$channel = $content->getElementsByTagName("channel")->item(0);
	$y["title"] = $channel->getElementsByTagName("title")->item(0)->firstChild->data;
	$y["link"] = $channel->getElementsByTagName("link")->item(0)->firstChild->data;	
  $y["description"] = $channel->getElementsByTagName("description")->item(0)->firstChild->data;		
	$y["date"] = $channel->getElementsByTagName("date")->item(0)->firstChild->data;	
	$y["type"] = 0;		// type 0 for channel, 1 for items
	
	array_push($CommonContent, $y);
	
	$items = $content->getElementsByTagName("item");
	$len = $items->length;

	$i = 0;
	foreach($items as $item)
	{
		processItem($item, $i++);
	}
}

function loadFeed($url)
{
	global $CommonContent;

	$xdoc = new DOMDocument("1.0");
	$xdoc->load($url);

	$CommonContent = array();

	processFeed($xdoc, $target);

	$str = "";
	foreach($CommonContent as $item)
	{
		foreach($item as $key => $value)
		{
			if($str != "") $str = $str . "&";
			$str = $str . $key . "=" . urlencode($value);
		}
	}
	
	return( $str );	

}

	if (isset( $_POST ))
		$posted = &$_POST ;			
	else
		$posted = &$HTTP_POST_VARS ;	

	$url = $posted["url"];
	$param = loadFeed($url);	
	
	header("Location:ara.php?$param");

?>
