/**
	ARA 
	(c) 2007-2010 Denis Sureau
	http://www.scriptol.com/rss/ara.php
*/	

var element;
var items = [];
var itemIndex = 0;
var currentItem = 0;
var ara = document;  	// static pointer on this page

var channel = new Array();
channel["title"] = "";
channel["link"] = "";
channel["desc"] = "";
channel["date"] = "";

var channelFlag = 0;   // true if replaced, false at start 
var TITLE_MAX = 80;
var DESCRIPTION_MAX = 255;

//-------------- Authentication

function checkResult(content, element)
{
	if((content != null) && (content == "yes"))
	{
		ara.rss.loadrss.disabled = false;
		ara.rss.makerss.disabled = false;
	}
	else
	{
		alert("Invalid name or password, try again");
	}	
}

function checkpwd()
{
	var element = document.getElementById("generator");

	AARead("ara-result.txt", checkResult, element);
}


function checking(element)
{
	var ulog = element.login.value;
	var pass = element.password.value;
	var element = 	document.getElementById("generator");

	AAWrite("ara-authorize.php", "login=" + ulog + "&password=" + pass, checkpwd);
}

/**
	Extract items
*/	

function currentDomain()
{
	var url = location.href;
	var x = 0;
	
	if(url.slice(0, 7) == "http://") x = 7;
	
	x = url.indexOf("/");
	if(x == -1) return url;		// no file
	return url.slice(0, x);
}

function isLocal(url)	// creating a storage filename
{
	if(url.indexOf("/") == -1) return true;	// no slash, local
	if(url.slice(0, 7) != "http://") return true;	// no protocol, local
	
	var domain = currentDomain();	
	if(domain.length > url.length) return false;	// url smaller than current domain
	
	if(domain == url.slice(0, domain.length)) return true;	
	
	return false;
}

//------------------- Retrieving a feed

function buildChannel(content)
{
	var chan = content.getElementsByTagName("channel")
	if(chan==null || chan.length == 0) 
	{
		chan = content.getElementsByTagName("feed");
		if(chan==null || chan.length == 0) return;
	}	
	
	chan = chan.item(0);
	channel["title"] = chan.getElementsByTagName("title").item(0).firstChild.data;
	channel["link"] = chan.getElementsByTagName("link").item(0).firstChild.data;

	var pdesc = chan.getElementsByTagName("description");	// rss
	if(pdesc == null || pdesc.length == 0)
		pdesc = chan.getElementsByTagName("subTitle");		// atom
	if(pdesc != null && pdesc.length > 0)
	{
		pdesc = pdesc.item(0).firstChild.data;
		channel["description"] = pdesc;
	}	

	var pdate = chan.getElementsByTagName("pubDate");	//rss
	if(pdate == null || pdate.length == 0)
		pdate = chan.getElementsByTagName("updated");		//atom
	if(pdate != null && pdate.length > 0)	
	{
		pdate = pdate.item(0).firstChild.data;		
		channel["date"] = pdate; 
	}

	document.rss.channel.value = channel["link"];
	channel["type"] = 0;		// tchannelpe 0 for channel, 1 for items	
}


function buildItem(element)
{
	var y = [];
	
	y["title"] = element.getElementsByTagName("title").item(0).firstChild.data;
	y["link"] = element.getElementsByTagName("link").item(0).firstChild.data;	

	var pdesc = element.getElementsByTagName("description"); 	// rss
	if(pdesc == null || pdesc.length == 0)	
		pdesc = element.getElementsByTagName("summary"); 	// atom
	if(pdesc != null && pdesc.length > 0)	
	{
		pdesc = pdesc.item(0).firstChild.data;
		y["description"] = pdesc;
	}	
	
	y["date"] = "unknown";
	var pdate = element.getElementsByTagName("pubDate");	//rss
	if(pdate == null || pdate.length == 0)
		pdate = element.getElementsByTagName("update");	// atom
	if(pdate != null && pdate.length > 0)
	{
		pdate = pdate.item(0).firstChild.data;
		y["date"] = pdate; 
	}
	
	y["type"] = 1;

	innerAdd(y);
	innerIndex++;
}


// put data about channel from rss file into channel array
// put data about item in item arrays in items list

function processFeed(content, element)
{

	innerIndex = 0;
	buildChannel(content);	// process channel
	clearList();	

	var ilist = content.getElementsByTagName("item");	// rss
	var len = ilist.length;
	if(len == 0)
	{
		ilist = content.getElementsByTagName("entry");	// atom
		len = ilist.length;
	}
	for(i = 0; i < len; i++)
	{
		buildItem(ilist.item(i));
	}
}



// retrieve a feed from a file

function loadFeed(path, scripturl)
{
	var fname = document.rss.url.value;
	document.rss.savepath.value = webToLocal(path, fname);

	if(checkFileType(fname) == false)  return;
	
	var element = document.getElementById("list");
	AARead(fname, processFeed, element);
}



// ---------- DATE for a web page

var datePointer = null;

function readDate(value, entry)
{
	if(value == null)
	{
		var nd = new Date();
		value = nd.toGMTString();
	}
	entry["date"] = value;
}


function writeDate()
{
	AARead("ara-date.txt", readDate, datePointer);
}


function AAFileDate(link, entry)
{
	datePointer = entry;
	AAWrite("ara-date.php", "file=" + link, writeDate);
}	


function setDateToday(element)
{
	var d = new Date();
	element.value = d.toGMTString();
}


//------------------ Building list of articles  from scratch


// add from file or interface

function dispOneLine(idx, item)
{
	var str = "<br />";
	str += "<span id='x'><span class='edit'  onclick='edit(" + idx + ");'>EDIT</span>";
	str += "<span id='" + idx + "'>" + item['title'] + "</span>";
	return str;
}

function innerAdd(item)
{
	var element = document.getElementById("list");
	element.innerHTML += dispOneLine(itemIndex, item);
	items.push(item);
	itemIndex++;
}

function addFromPanel(item)
{
	var element = document.getElementById("list");
	if(document.rss.descending)
	{
	   items.unshift(item);
	}
	else
	{
		items.push(item);
	}   
	itemIndex++;
	updateList();
}


//----------------- Extracting data from web pages

// add from the form

function AAGetHead(content)
{
	var x = content.indexOf("<head");
	if(x == -1) return "";
		
	x = content.indexOf(">", x);
	if(x == -1) return "";

	var y = content.lastIndexOf("</head>");
	if(y == -1) return "";

	return content.slice(x + 1, y);
}

function AAGetTitle(content)
{
	var x = content.indexOf("<title");
	if(x == -1) return "";
		
	x = content.indexOf(">", x);
	if(x == -1) return "";

	var y = content.indexOf("</title>", x + 1);
	if(y == -1) return "";
	
	return content.slice(x + 1, y);
}


function AAGetDescription(content)
{

	var x = content.indexOf("<meta");
	if(x == -1) return "";

	x = content.indexOf("description", x);
	if(x == -1) return "";

	x = content.indexOf("content", x + 8);
	if(x == -1) return "";

	x = content.indexOf('"', x + 7);
	if(x == -1) 
	{
		x = content.indexOf("'");
		if(x == -1)  return "";
	}	

	var y = content.indexOf('"', x + 1);
	if(y == -1) 
	{
		y = content.indexOf("'", x);
		if(y == -1) return "";
	}	
	
	return content.slice(x + 1, y);
}

function removeAmpersand(content)
{
  var s = new String(content);
  s = s.replace("&nbsp;", " ");
  s = s.replace("&eacute;", "é");
  s = s.replace("&agrave;", "à");
  s = s.replace("&egrave;", "è");
  s = s.replace("&ecirc;", "ê");
  s = s.replace("&iuml;", "ï");
  s = s.replace("&uacute;", "ù");
  s = s.replace("&ocirc;", "ô");
  s = s.replace("&acirc;", "â");
  
  s = s.replace("undefined", "");
  return(s);
}


// get title and desc from the content of a web page
// arguments are the body of the page, and the array to fill with data

function extractHead(content, entry)
{
	var headsection = AAGetHead(content);
	var title = AAGetTitle(headsection);
	var desc = AAGetDescription(headsection);
	var storage = document.getElementById("storage");

	storage.innerHTML = AAGetBody(content);

	if(title == "")
	{
		var hlist = storage.getElementsByTagName("h1");
		if(hlist.length > 0)
		{
			title = hlist.item(0).firstChild.data;
		}
	}
	
	if(desc == "")
	{
		var plist = storage.getElementsByTagName("p");
		if(plist.length > 0)
		{
			for(i = 0; i < plist.length; i++)
			{
	
				if(desc.length >= DESCRIPTION_MAX) break;
				var pstr = plist.item(i).firstChild.data;
				desc += pstr;
				desc += " ";
			}
		}
	}
	
	if(title.length > TITLE_MAX)
	{
		title = title.slice(0, TITLE_MAX);
	}

	if(desc.length > DESCRIPTION_MAX)
	{
		desc = desc.slice(0, DESCRIPTION_MAX);
	}
	
	// trim description
	
	var pos = desc.lastIndexOf(".");
	if (pos > (DESCRIPTION_MAX / 2))
	{
		desc = desc.slice(0, pos+ 1);
	}
	
	entry["title"] = removeAmpersand(title);
	entry["description"] = removeAmpersand(desc);

	//return entry;

}

function processPage(content, entry)
{
	extractHead(content, entry);
	addFromPanel(entry);	
}

//------------------- Processing the channel

function processChannel(content, entry)
{
	extractHead(content, entry);
	var d = new Date();
	channel["date"] = d.toGMTString();
}	


function channelExtract(link)
{
	channel['title'] = "undefined"; 
	channel["description"] = "none";
	channel["link"] =  link;
	channel["type"] = 1;

	//AAFileDate(link, channel);
	AARead(link, processChannel, channel);
}

function showChannel(title, desc)
{
	var viewer = document.getElementById("channelviewer");
	viewer.innerHTML  = "<br><fieldset><b>" + title + "</b><br>" + desc + "</fieldset>";
}

function channelFirstShow(content, link)
{
	extractHead(content, channel);
	var d = new Date();
	channel["date"] = d.toGMTString();
	channel["link"] = link;
	showChannel(channel["title"], channel["description"]);
}	

function channelShow()
{
	var link = document.rss.channel.value;
	var title = channel["title"];
	
	if(title == "" || title == "undefined")
	{
		AARead(link, channelFirstShow, link);
		return;
	}

	showChannel(channel["title"], channel["description"]);
}

function channelHide()
{
	var viewer = document.getElementById("channelviewer");
	viewer.innerHTML  = "";
}


//---------------------- EDITOR

function channedAssignEdit(content, link)
{
	extractHead(content, channel);
	var d = new Date();
	channel["date"] = d.toGMTString();
	
	document.editor.elink.value = link;
	document.editor.etitle.value = channel["title"];
	document.editor.edescription.value = channel["description"];
	document.editor.edate.value = channel["date"];
	
	currentItem = -1;
}

function channelEdit()
{
	
	var link = document.rss.channel.value;
	var title = channel["title"];
	
	if(title == "" || title == "undefined")
	{
		AARead(link, channedAssignEdit, link);
		return;
	}
	
	document.editor.elink.value = link;
	document.editor.etitle.value = channel["title"];
	document.editor.edescription.value = channel["description"];
	document.editor.edate.value = channel["date"];
	
	currentItem = -1;
}

//	put data about an article into the editor's fields

function edit(number)
{

	if(number > items.length)
	{
		alert("Number of items " + items.length + " exceeded");
		return;
	}
	var item = items[number];
	document.editor.elink.value = item["link"];
	document.editor.etitle.value = item["title"];
	document.editor.edescription.value = item["description"];
	document.editor.edate.value = item["date"];

	currentItem = number;
}

// add article from the interface

function addItem()
{
	var entry = [];
	var link = document.rss.page.value;



	entry["date"] = new Date().toGMTString();
	entry["link"] =  link;
	entry["type"] = 1;

	AARead(link, processPage, entry);
}


function clearItem(element)
{
	element.value = "";
}

function clearList()
{
	var element = document.getElementById("list");	
	element.innerHTML = "";
	items = [];
	itemIndex = 0;
	currentItem = -2;
}


function clearEditor()
{
	document.editor.edate.value = "";
	document.editor.elink.value = "";
	document.editor.etitle.value = "";
	document.editor.edescription.value = "";
	currentItem = -2;   // set by edit or channel Edit otherwise is a new item	
}


function updateList()
{
	var element = document.getElementById("list");	
	element.innerHTML = "";
	for(currentItem = 0; currentItem < items.length; currentItem++)
	{
    var item = items[currentItem];
    element.innerHTML += dispOneLine(currentItem, item);
	} 

}

// changing item content

function replaceItem()
{
	var entry = [];

	if(currentItem == -1)
	{
		entry = channel;
		channelFlag = 1;
	}
	else
	{
		if(currentItem == -2)
		{
			items.push(entry);	// new item in list
			currentItem = itemIndex;
			itemIndex++;
		}	
		entry = items[currentItem]; 
	}
	
	entry["title"] = document.editor.etitle.value;
	entry["date"] = document.editor.edate.value;
	entry["link"] = document.editor.elink.value;
	entry["description"] = document.editor.edescription.value;
	if(currentItem == -1)
	{
	   document.rss.channel.value = entry["link"];
	} 
	else
	{
	   updateList();
	} 
	clearEditor();

}


function deleteItem()
{

	var element = document.getElementById(currentItem);

	var temp = [];
	for(i = 0; i < items.length; i++)
	{
		if(i != currentItem)
		{
			temp.push(items[i]);
		}
	}
	clearList();	// clear items too

	for(i = 0; i < temp.length; i++)
	{
		innerAdd(temp[i]);
	}
	
	// enlever l'item
	clearEditor();	
	
}



//-------------------- Building a file


function selecting()
{
	var options = [ "5", "10", "15", "20", "25", "" ];

	var selected = document.rss.sizelist.selectedIndex;
	var value = options[selected];
	document.rss.size.value = value;
}

function paradecode(str) 
{
  var decoder = /\+/g;
  return String(unescape(str)).replace(decoder, " "); 
}



function finalCheck(content, element)
{
	alert(content);
}

function finished()
{
	AARead("ara-build-result.txt", finalCheck, null);
}



function checkFileType(filename)
{

	var pos = filename.lastIndexOf(".");
	if(pos == -1) 
	{
		alert("A valid extension is required");
		return false;
	}	
	
	var ext = filename.substring(pos);
	
	if(ext == ".xml") return true;
	if(ext == ".rss") return true;
	if(ext == ".rdf") return true;
	if(ext == ".atom") return true;
	if(ext == ".feed") return true;
	
	alert("Not a valid extension");
	return false;
}


// Web to local, convert web path to local path

function webToLocal(path, relurl)
{
  var pathname =  window.location.pathname;

	var pos = relurl.indexOf("/");
	if(pos == -1)	// current directory
	{
		return relurl;
	}
	
	// removing filename
	pos = pathname.lastIndexOf("/");
	if(pos != -1)
	{
		pathname = pathname.substring(0, pos);
	}

	// removing relative directory
	pos = path.lastIndexOf(pathname)
	if(pos != -1)
	 path = path.substring(0, pos);
	 
	path += relurl;

	return path;
}

function convertpath(path, scripturl)
{
	ara.rss.savepath.value = webToLocal(path, ara.rss.savepath.value);
}

function removeDomain(url)
{
  var x = url.indexOf("://");
  if(x == -1) return;
  
  url = url.slice(x + 2);
  x = url.indexOf("/", 1);
  if(x == -1) return "/";
  
  return url.slice(x);

}


/**
	Building an RSS feed
	send list and params to ara-build-rss.php
*/	

function createRSS(path)
{
	var scriptname = "ara-build-rss.php";	
	var feed = ara.rss.savepath.value;
	
	if(feed == "")
	{
		ara.rss.savepath.value = webToLocal(path, ara.rss.url.value);
		feed = ara.rss.savepath.value;			
	}

	if(checkFileType(feed) == false) return;

	var param = "feed=" + feed;
	
	var entry = [];
	
	var title = channel["title"];
	if(title=="" || title =="undefined")
	{
		alert("You must edit the channel and give it a title, description, date");
		return;
	}

	var cd = new Date();
	channel['date'] = cd.toGMTString();

	param = param +  "&title=" + channel["title"] + "&link=" + channel["link"] + "&description=" + channel["description"]+ "&date=" + channel["date"] + "&type=0";
	
	//alert(param);

	for(i = 0; i < items.length; i ++)
	{
		entry = items[i];
		param = param + "&title" + i  + "=" +  encodeURIComponent(entry["title"]);
		param = param + "&link" + i  + "=" +  encodeURIComponent(entry["link"]);
		param = param + "&desc" + i  + "=" +  entry["description"];		
		param = param + "&date" + i  + "=" +  entry["date"];			
		param = param + "&type" + i  + "=" +  entry["type"];		
	}

	AAWrite(scriptname, param, finished);

}


function processData(element)
{

	var parameters = location.search.substring(1).split("&");
	if(parameters.length < 3) return; // fresh load

	var key;
	var val;
	var data = new Array();
	
	for(x = 0; x < parameters.length; x++)
	{
		var temp = parameters[x].split("=");
		key = unescape(temp[0]);
		val = paradecode(temp[1]);
		
		var y = key.slice(0, 4);

		if(y == "titl") key = "title";
		if(y == "link") key = "link";
		if(y == "desc") key = "description";
		if(y == "date") key = "date";
		if(y == "type") key = "type";

		data[key] = val;
		if(key == "type")
		{
			if(data[key] != 0)
			{
				innerAdd(data);		
				itemIndex++;
			}	
			data = new Array();		
		}
	}

}

// load a the feed in a new window

function seeRSS() 
{
  window.location = document.rss.url.value + "?nocache=" +  Math.random();
}



